Name:           gnome-theme-clearlooks
Version:        0.6.2
Release:        1
Summary:        An attractive GTK+ 2 engine with a focus on usability
Group:          User Interface/Desktops
License:        GPL
URL:            http://clearlooks.sourceforge.net/
Source0:        http://dl.sourceforge.net/clearlooks/clearlooks-%{version}.tar.bz2
Source1:        http://dl.sourceforge.net/clearlooks/clearlooks-metacity-0.6.tar.gz
Patch:          clearlooks-0.5-bluecurve-icons.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtk2-devel libgnome-devel

%description
Clearlooks will transform your GNOME desktop into an attractive looking and
usable environment.

%prep
%setup -q -n clearlooks-%{version} -a 1
%patch -p 1 -b .bluecurve

%build
%configure --enable-animation
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
install -D -m 0644 Clearlooks/metacity-1/metacity-theme-1.xml $RPM_BUILD_ROOT%{_datadir}/themes/Clearlooks/metacity-1/metacity-theme-1.xml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README TODO
%{_datadir}/icons/*
%{_datadir}/themes/*
%{_libdir}/gtk-2.0/2.4.0/engines/*

%changelog
* Thu Jun 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.2-1
- Update GTK+ theme to 0.6.2

* Wed Jun 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.6.1-1
- Update GTK+ theme to 0.6.1
- Update Metacity theme to 0.6

* Wed Apr 27 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5-4
- Make the Clearlooks icon theme inherit from Bluecurve instead of gnome

* Wed Apr 20 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5-3
- Updated Metacity theme to 0.5.2a

* Mon Mar 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5-2
- Name changed from "clearlooks" to "gnome-theme-clearlooks"

* Mon Mar 21 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5-1
- Upstream update
- Reintegrated Metacity theme

* Sat Mar 19 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-6
- %%

* Thu Mar 17 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-5
- Added libgnome-devel to BR
- Removed iffy dir patch

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-4
- Broke %%description at 80 columns

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-3
- Fixed build problem with metacity-theme-1.xml
- Added option for animated progress bars
- Removed .la files

* Wed Mar 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-2
- Removed explicit Requires

* Tue Mar 15 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4-1
- Bump release to 1

* Sat Mar  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.4-0.iva.0
- Upstream update

* Sat Feb 26 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0:0.3-0.iva.0
- Initial RPM release.
